> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1enginedatasetrequestdataset



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Engine//swagger/v1/swagger.json post /api/v1/engine/dataset/RequestDataSet
openapi: 3.0.0
info:
  title: NDS.Services.Engine
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Engine/
security: []
paths:
  /api/v1/engine/dataset/RequestDataSet:
    post:
      tags:
        - DataSet
      operationId: DataSet_RequestDataSet
      parameters:
        - name: X-UploadDataSet-DataSetId
          x-originalName: dataSetId
          in: header
          schema:
            type: string
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestDataSetResult'
components:
  schemas:
    RequestDataSetResult:
      type: object
      additionalProperties: false
      properties:
        records:
          type: array
          items:
            $ref: '#/components/schemas/IDataRecord'
    IDataRecord:
      type: object
      x-abstract: true
      additionalProperties: false
      properties:
        Id:
          type: string
        Data: {}

````